Bug 1660632 (CVE-2019-0545)

Summary: CVE-2019-0545 .NET Core: NCL - SocketsHttpHandler mishandling 1xx response as a final response leads to info disclosure
Product: [Other] Security Response Reporter: Laura Pardo <lpardo>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: andrew.slice, bodavis, dbhole, drusso, kanderso, omajid, rjanekov, rwagner, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: dotnet 2.1.7, dotnet 2.2.1 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-09-27 09:27:07 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1660643    

Description Laura Pardo 2018-12-18 21:18:52 UTC
On .NET Core, we mishandle 1xx (includes 100-Continue) response as a final response on SocketsHttpHandler, which will constitute a cross-origin information disclosure vulnerability in case the client multiplexes requests to different origins onto a single persistent connection: the real final response to the first request will be used as a response for a different request on the same connection. (a well behaved server can cause information disclosure as well).

Comment 3 errata-xmlrpc 2019-01-09 08:52:50 UTC
This issue has been addressed in the following products:

  .NET Core on Red Hat Enterprise Linux

Via RHSA-2019:0040 https://access.redhat.com/errata/RHSA-2019:0040

Comment 5 Laura Pardo 2019-03-15 16:13:20 UTC
Acknowledgments:

Name: Microsoft